import numpy as np

snr_grid = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3/snrs_listed.npy')

intrinsics = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3/intrinsic_param_perms.npy')
angulars = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3/angular_param_perms.npy')
plunges = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3/plunge_times.npy')

intrinsics[:,:2] = np.log10(intrinsics[:,:2])

grid_x_out = np.zeros(shape=(snr_grid.size,9))

num = 0
for intrinsic_set in intrinsics:
    for angular_set in angulars:
        for time in plunges:
            out = np.zeros(9)
            out[:5] = intrinsic_set
            out[5:8] = angular_set
            out[8] = time

            grid_x_out[num,:] = out

            num += 1

np.save('xgrid.npy',arr=grid_x_out)
np.save('ygrid.npy',arr=snr_grid.flatten() + 1e-5)


snr_list = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3_val/snrs_listed.npy')
inds_to_keep = ~np.isnan(snr_list)
np.save('ysamp.npy',arr=snr_list[inds_to_keep] + 1e-5)


intrinsics = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3_val/intrinsic_params.npy')
angulars = np.load('/scratch/wiay/christian/LISAanalysistools/pdet4noavg3_val/angular_params.npy')

intrinsics[:,:2] = np.log10(intrinsics[:,:2])

samp_x_out = np.zeros(shape=(snr_list.size,9))

for i in range(snr_list.size):
    here = np.zeros(9)
    here[:5] = intrinsics[i,:5]
    here[5:8] = angulars[i,:]
    here[8] = intrinsics[i,5]

    samp_x_out[i,:] = here

np.save('xsamp.npy',arr=samp_x_out[inds_to_keep,:])
